import requests
from api_auth import APICredentials, APIParams
 
class StaticEncryptionKeyStatus:
    def __init__(self):
        self.host = "https://services.uplynk.com"
 
    def run(self):
        """
        Returns whether content may be encrypted using a static encryption key.
        """
        self._get_status_encryption_key_status()
 
    def _get_status_encryption_key_status(self):
        url = "{}{}".format(self.host, "/api/v3/drm/use-static-encryption-key")
 
        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({})
        )
 
        print(response.json())
 
StaticEncryptionKeyStatus().run()